Subject: bug#7742: 24.0.50; C-g does not dismiss popup menus

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Oct 2016 10:15:11 +0300

> From: [email-masked]
> Date: Sat, 08 Oct 2016 23:27:57 -0400
> Cc: [email-masked]
> 
> > C-mouse-3 in some buffer, to bring up the popup menu.  C-g does not
> > dismiss the menu - you are trapped in the menu dialog/interaction.  You
> > must do something like click mouse-1 outside the menu to dismiss it.
> >  
> > Admittedly, it is usually easier in this context to click mouse-1 than
> > to hit C-g on the keyboard.  Still, C-g should DTRT.
> >  
> > (I'm guessing that this is hard to fix or it would have been fixed by
> > now.  But I don't know that, and it's good to record the bug anyway,
> > even if we don't intend to try to fix it anytime soon.)
> 
> According to https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24596#8
> 
>     C-g doesn't work on a GUI frame because the menu is controlled by
>     Windows, not by Emacs, and Windows doesn't know about C-g.  IOW,
>     this is a limitation we can do very little about.
> 
> So I'm marking this as wontfix.

Right.  Btw, it's not true that one is "trapped", pressing ESC pops
down the menu and gets you out.